<!-- source: https://piccalil.li/tutorial/create-a-user-controlled-dark-or-light-mode/ -->

<main>
  <article>
    <h1>Dark mode should be a user preference—not presumed</h1>
    <p>
      Yes, by default, when a user has
      <code>@media (prefers-color-scheme: dark)</code> set, we should set a dark theme,
      but we should also provide a switch for if the dark them isn’t working out for them.
    </p>
    <p>
      This also benefits users that don’t have
      <code>@media (prefers-color-scheme: dark)</code> set because they get a toggle to
      choose, too.
    </p>
  </article>
  <div class="user-toggle">
    <div role="status" class="[ visually-hidden ][ js-mode-status ]"></div>
    <button class="[ toggle-button ] [ js-mode-toggle ]">
      <span class="[ toggle-button__text ] [ js-mode-toggle-text ]"
        >Enable dark mode</span
      >
      <span class="toggle-button__icon" aria-hidden="true"></span>
    </button>
  </div>
</main>
